Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

## Class NativeOperationFilter

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerFilter
  - - org.eclipse.m2m.atl.profiler.ui.profilingdatatable.NativeOperationFilter

    public class NativeOperationFilter
    extends org.eclipse.jface.viewers.ViewerFilter

A filter for native operations.

### Constructor Summary

Constructors
`NativeOperationFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `select​(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object parentElement, java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.ViewerFilter

`filter, filter, isFilterProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeOperationFilter

    public NativeOperationFilter()

### Method Detail

#### select

    public boolean select​(org.eclipse.jface.viewers.Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

Specified by:
  `select` in class `org.eclipse.jface.viewers.ViewerFilter`
See Also:
  `ViewerFilter.select(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`